pw_protocol_implementaton Struct Reference
Collaboration diagram for pw_protocol_implementaton:
[legend]

## Data Fields

uint32_t | version
struct pw_protocol_client *(* | new_client )(struct pw_protocol *protocol, struct pw_remote *remote, struct pw_properties *properties)
struct pw_protocol_server *(* | add_server )(struct pw_protocol *protocol, struct pw_core *core, struct pw_properties *properties)

## Field Documentation

## add_server

struct pw_protocol_server*(* pw_protocol_implementaton::add_server) (struct pw_protocol *protocol, struct pw_core *core, struct pw_properties *properties)

## new_client

struct pw_protocol_client*(* pw_protocol_implementaton::new_client) (struct pw_protocol *protocol, struct pw_remote *remote, struct pw_properties *properties)

## version

uint32_t pw_protocol_implementaton::version

The documentation for this struct was generated from the following file:

- protocol.h